=== src/lua/share/third-party/CMakeLists.txt ===

add_subdirectory(stdlib)
