=== debian/changelog ===
ettercap (1:0.8.3-7) unstable; urgency=medium

  * Add patch proposed upstream to fix build with older libcheck implementations

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2020 19:39:16 +0100

ettercap (1:0.8.3-6) unstable; urgency=high

  * debian/patches/977.patch:
    - upstream fix for host scan issue.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Jan 2020 02:02:07 +0100

ettercap (1:0.8.3-5) unstable; urgency=medium

  * Update 955 pr patch with new URIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2020 11:35:44 +0100

ettercap (1:0.8.3-4) unstable; urgency=medium

  * Move team maintenance under pkg-security umbrella
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2020 11:29:18 +0100

ettercap (1:0.8.3-3) unstable; urgency=medium

  * Drop build-dependency on ghostscript, we use groff now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Dec 2019 10:45:09 +0100

ettercap (1:0.8.3-2) unstable; urgency=medium

  * debian/patches/e57981ed56c04643d5a527897bb60894bf7bd96c.patch:
    - upstream various build fixes for new pango
  * debian/patches/988.patch
    - upstream-proposed build fix with new pango

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Dec 2019 11:45:05 +0100

ettercap (1:0.8.3-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release (Closes: #931361)
    - Default to gtk-3
  * Don't build against flex-old (Closes: #932513)
  * Add geoip to the build dependencies
  * Enable full hardening
  * Maintain the package under pkg-security team.
  * Drop patches, addressed upstream
  * Drop dbg package, useless now
  * Remove menu file
  * Update watch file location.
  * Bump compat level to 12
    - Drop old dh --list-missing
  * Bump std-version to 4.4.1, no changes required.
  * Update copyright file
  * Drop newlines from changelog file
  * Bump watch file to version 4
  * Bump download url to https
  * Cherry-pick three upstream PR: 951 954 955
    - Move appdata file into new metainfo location
    - typo fixes in manpages
    - Bump library version number
  * Move etterfilter and etterlog to subpackages, due to different
    libettercap-ui libraries.
  * Remove debian/NEWS file
  * Add R^3=no

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Dec 2019 13:22:02 +0100

ettercap (1:0.8.2-10) unstable; urgency=low

  * Now that a lua-free ettercap is in testing,
    re-enable lua binding, waiting for luajit to be better.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Sep 2017 11:08:03 +0200

ettercap (1:0.8.2-9) unstable; urgency=high

  * Disable lua binding for now, too much broken.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Sep 2017 11:05:08 +0200

ettercap (1:0.8.2-8) unstable; urgency=medium

  * Re-enable lua binding, with my patch merged upstream
  * Trim the list of lua supported bindings

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2017 06:45:24 +0200

ettercap (1:0.8.2-7) unstable; urgency=medium

  * Disable lua binding, thanks Adrian Bunk
    for the report! (Closes: #873320)
  * Bump std-version to 4.1.0, no changes required.
  * Switch VCS fields in https mode.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Aug 2017 08:19:10 +0200
