=== debian/control ===
Source: ettercap
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>,
           Murat Demirten <murat@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bison | bison++,
               check,
               chrpath,
               cmake,
               debhelper-compat (= 12),
               flex,
               groff,
               libbsd-dev,
               libcurl4-openssl-dev,
               libgeoip-dev,
               libgtk-3-dev,
               libltdl-dev,
               libluajit-5.1-dev [!s390x !alpha !hppa !m68k !powerpc !powerpcspe !sh4 !sparc64 !x32],
               libncurses5-dev,
               libnet1-dev,
               libpcap-dev,
               libpcre3-dev,
               libssl-dev
Standards-Version: 4.4.1
Homepage: https://ettercap.github.io/ettercap/
Vcs-Git: https://salsa.debian.org/pkg-security-team/ettercap.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/ettercap

Package: ettercap-common
Architecture: any
Depends: ethtool [linux-any],
         geoip-database,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ettercap-graphical | ettercap-text-only
Description: Multipurpose sniffer/interceptor/logger for switched LAN
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the Common support files, configuration files,
 plugins, and documentation.  You must also install either
 ettercap-graphical or ettercap-text-only for the actual GUI-enabled
 or text-only ettercap executable, respectively.

Package: ettercap-text-only
Architecture: any
Depends: ettercap-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ettercap-common (<< 1:0.8.3-1~)
Replaces: ettercap-common (<< 1:0.8.3-1~), ettercap, ettercap-gtk
Conflicts: ettercap, ettercap-gtk
Provides: ettercap
Description: Ettercap console-mode executable
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap text-mode-only executable.

Package: ettercap-graphical
Architecture: any
Depends: ettercap-common (= ${binary:Version}),
         policykit-1,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ettercap-common (<< 1:0.8.3-1~)
Replaces: ettercap, ettercap-common (<< 1:0.8.3-1~), ettercap-gtk
Conflicts: ettercap, ettercap-gtk
Provides: ettercap
Description: Ettercap GUI-enabled executable
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap GUI-enabled executable.
