=== share/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,8 @@
     ettercap.png
     ettercap-small.png
     ettercap.svg
+    etter.dns.examples
+    etter.mdns.examples
     etter.fields
     etter.filter
     etterfilter.cnt
