=== src/lua/share/lib/CMakeLists.txt ===
# Nothing to install, just yet!
# install(FILES
#            ...
#            DESTINATION ${INSTALL_LUA_LIBS})
