=== src/lua/share/third-party/stdlib/CMakeLists.txt ===

set(LUA_STDLIB_VERSION 34)
add_subdirectory(src)
