=== debian/changelog ===
ettercap (1:0.8.3.1-3) unstable; urgency=medium

  [ Samuel Henrique ]
  * Update debian/gbp.conf

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Aug 2020 18:04:06 +0200

ettercap (1:0.8.3.1-2) unstable; urgency=medium

  * Refresh luajit architectures, to let ettercap build on riscv64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Aug 2020 17:44:32 +0200

ettercap (1:0.8.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #957180)
  * Fix copyright file (Closes: #951757)
  * New upstream version 0.8.3.1
  * Drop all patches, now upstream:
    - 1001
    - 951
    - 954
    - 955
    - 977
    - 988
    - e57981ed56c04643d5a527897bb60894bf7bd96c
  * Bump std-version to 4.5.0, no changes required
  * Set R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Aug 2020 16:59:47 +0200
