=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
                libgeoip-dev,
                libgtk-3-dev,
                libltdl-dev,
-               libluajit-5.1-dev [!s390x !alpha !hppa !m68k !powerpc !powerpcspe !sh4 !sparc64 !x32],
+               libluajit-5.1-dev [!s390x !alpha !hppa !ia64 !m68k !riscv64 !sh4 !sparc64 !x32],
                libncurses5-dev,
                libnet1-dev,
                libpcap-dev,
                libpcre3-dev,
                libssl-dev
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://ettercap.github.io/ettercap/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/ettercap.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/ettercap
