=== debian/watch ===
version=4

https://ettercap.github.com/downloads.html \
(?:.*[/=]|)ettercap-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)).*
